<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

/**
 * allgemeine Klasse für eine Feedback-Frage
 */
abstract class DataMenuFeedBackFrage extends DataMenuFeedBackFormular
{
  public function __construct($pUrlParameter, $pFrage = null)
  {
    parent::__construct($pUrlParameter, $pFrage);
    $this->exportadapter = new ExpFeedBackBogenFragen();
  }

  /**
   *  Reiter nocolunmn wird für die Fragesichten (Sichten 461 - 468) nicht verwendet; dataarraynocolumn() muss für die Fehlerausgabe
   *  in DataMenuFeedBackFormular explizit mit leerem Array besetzt werden
   */
  public function getdataarraynocolumn()
  {
    $this->dataarraynocolumn = array();
  }
}
